This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 445157 - Shutdown/Restrat hangs when using USB wireless adapter
Shutdown/Restrat hangs when using USB wireless adapter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 18:40 EDT by Moldovan George
Modified: 2009-01-09 01:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:27:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moldovan George 2008-05-04 18:40:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
I own two wireless adapters. A PCI one and an USB one. The USB one is a TP-LINK TL-WN321G model. I didn't install other modules or use NDISwrapper as everything was identified correctly and available (wlan2 for the USB adapter) for use.

I can use the USB adapter to connect to different wireless networks, so that's not the issue.

Problems that I encountered:
1. This one I couldn't replicate: I started to get errors while booting, ending with "Disabling IRQ19". Once I unplugged the USB adapter, the message was gone. The message was gone even when I plugged it back, in the same USB socket - I tried other, with same results - I couldn't get the kernel to show that message again.

2. If I use the USB adapter to connect to a wireless network, shutdown/restart will freeze. I get "Stopping NetworkManager... failed", than a couple of "Stopping XX... OK", and everything hangs when reaching "rpcbind". CTRL+ALT+DEL doesn't work. If I unplug the USB adapter, the process will resume.

3. If I use the PCI card to connect to a wireless network, leaving the USB one plugged, but unused, everything works fine.

And one more thing: when I was getting the "Disabling IRQxx" message from the kernel, the Avahi service also failed to stop and I was getting an extra notification, "Timer expired".

I use NetworkManager to connect to configure and connect to the wireless network.

Version-Release number of selected component (if applicable):
kernel-2.6.24.5-85.fc8 NetworkManager-0.7.0-0.6.7.svn3370.fc8 avahi-0.6.21-8.fc8

How reproducible:
Always


Steps to Reproduce:
1. Plug a wireless USB adapter.
2. Configure it and connect to a wireless network using NetworkManager.
3. Try to reboot/shutdown the computer.

Actual Results:
The reboot/shutdown procedure will freeze.

Expected Results:
Reboot/shutdown.

Additional info:
To resume the reboot/shutdown process, just unplug the USB wireless adapter.
Comment 1 Bug Zapper 2008-11-26 05:38:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:27:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.